//
//	VidyoConnector_Objc.h
//	VidyoClient
//
//	This file is auto generated, do not edit this file
//	Copyright (c) 2016 Vidyo, Inc. All rights reserved.
//

#import "VidyoAudioFrame_Objc.h"
#import "VidyoChatMessage_Objc.h"
#import "VidyoContactInfo_Objc.h"
#import "VidyoDevice_Objc.h"
#import "VidyoEndpoint_Objc.h"
#import "VidyoLocalCamera_Objc.h"
#import "VidyoLocalMicrophone_Objc.h"
#import "VidyoLocalMonitor_Objc.h"
#import "VidyoLocalSpeaker_Objc.h"
#import "VidyoLocalWindowShare_Objc.h"
#import "VidyoLogRecord_Objc.h"
#import "VidyoNetworkInterface_Objc.h"
#import "VidyoParticipant_Objc.h"
#import "VidyoRemoteCamera_Objc.h"
#import "VidyoRemoteMicrophone_Objc.h"
#import "VidyoRemoteRenderer_Objc.h"
#import "VidyoRemoteSpeaker_Objc.h"
#import "VidyoRemoteWindowShare_Objc.h"
#import "VidyoVideoFrame_Objc.h"
#import "VidyoVirtualVideoSource_Objc.h"
#import "VidyoVirtualWindowShare_Objc.h"
@class VCConnectorAnalyticsEventTable;
@class VCConnectorCameraEffectInfo;
@class VCConnectorConnectionProperties;
typedef NS_ENUM(NSInteger, VCConnectorAnalyticsEventAction){
	VCConnectorAnalyticsEventActionLoginSuccess,
	VCConnectorAnalyticsEventActionLoginAttempt,
	VCConnectorAnalyticsEventActionLoginFailedAuthentication,
	VCConnectorAnalyticsEventActionLoginFailedConnect,
	VCConnectorAnalyticsEventActionLoginFailedResponseTimeout,
	VCConnectorAnalyticsEventActionLoginFailedMiscError,
	VCConnectorAnalyticsEventActionLoginFailedWebProxyAuthRequired,
	VCConnectorAnalyticsEventActionLoginFailedUnsupportedTenantVersion,
	VCConnectorAnalyticsEventActionUserTypeGuest,
	VCConnectorAnalyticsEventActionUserTypeRegularToken,
	VCConnectorAnalyticsEventActionUserTypeRegularPassword,
	VCConnectorAnalyticsEventActionUserTypeRegularSaml,
	VCConnectorAnalyticsEventActionUserTypeRegularExtdata,
	VCConnectorAnalyticsEventActionJoinConferenceSuccess,
	VCConnectorAnalyticsEventActionJoinConferenceAttempt,
	VCConnectorAnalyticsEventActionJoinConferenceReconnectRequests,
	VCConnectorAnalyticsEventActionJoinConferenceFailedConnectionError,
	VCConnectorAnalyticsEventActionJoinConferenceFailedWrongPin,
	VCConnectorAnalyticsEventActionJoinConferenceFailedRoomFull,
	VCConnectorAnalyticsEventActionJoinConferenceFailedRoomDisabled,
	VCConnectorAnalyticsEventActionJoinConferenceFailedConferenceLocked,
	VCConnectorAnalyticsEventActionJoinConferenceFailedUnknownError,
	VCConnectorAnalyticsEventActionConferenceEndLeft,
	VCConnectorAnalyticsEventActionConferenceEndBooted,
	VCConnectorAnalyticsEventActionConferenceEndSignalingConnectionLost,
	VCConnectorAnalyticsEventActionConferenceEndMediaConnectionLost,
	VCConnectorAnalyticsEventActionConferenceEndUnknownError,
	VCConnectorAnalyticsEventActionAll,
	VCConnectorAnalyticsEventActionUnknown
};
typedef NS_ENUM(NSInteger, VCConnectorAnalyticsEventCategory){
	VCConnectorAnalyticsEventCategoryLogin,
	VCConnectorAnalyticsEventCategoryUserType,
	VCConnectorAnalyticsEventCategoryJoinConference,
	VCConnectorAnalyticsEventCategoryConferenceEnd,
	VCConnectorAnalyticsEventCategoryNone
};
typedef NS_ENUM(NSInteger, VCConnectorAnalyticsServiceType){
	VCConnectorAnalyticsServiceTypeGoogle,
	VCConnectorAnalyticsServiceTypeVidyoInsights,
	VCConnectorAnalyticsServiceTypeNone
};
typedef NS_ENUM(NSInteger, VCConnectorBaseTransportType){
	VCConnectorBaseTransportTypeTLS,
	VCConnectorBaseTransportTypeTCP,
	VCConnectorBaseTransportTypeUDP
};
typedef NS_ENUM(NSInteger, VCConnectorCameraEffectType){
	VCConnectorCameraEffectTypeNone,
	VCConnectorCameraEffectTypeBlur,
	VCConnectorCameraEffectTypeVirtualBackground
};
typedef NS_ENUM(NSInteger, VCConnectorConferenceHostState){
	VCConnectorConferenceHostStateJOINED,
	VCConnectorConferenceHostStateLEFT
};
typedef NS_ENUM(NSInteger, VCConnectorConferenceMode){
	VCConnectorConferenceModeLOBBY,
	VCConnectorConferenceModeLECTURE,
	VCConnectorConferenceModeGROUP
};
typedef NS_ENUM(NSInteger, VCConnectorDisconnectReason){
	VCConnectorDisconnectReasonDisconnected,
	VCConnectorDisconnectReasonConnectionLost,
	VCConnectorDisconnectReasonConnectionTimeout,
	VCConnectorDisconnectReasonNoResponse,
	VCConnectorDisconnectReasonTerminated,
	VCConnectorDisconnectReasonMiscLocalError,
	VCConnectorDisconnectReasonMiscRemoteError,
	VCConnectorDisconnectReasonMiscError
};
typedef NS_ENUM(NSInteger, VCConnectorErrorCode){
	VCConnectorErrorCodeNotAllowed,
	VCConnectorErrorCodeWrongState,
	VCConnectorErrorCodeInvalidInput,
	VCConnectorErrorCodeMisc
};
typedef NS_ENUM(NSInteger, VCConnectorFailReason){
	VCConnectorFailReasonConnectionFailed,
	VCConnectorFailReasonConnectionLost,
	VCConnectorFailReasonConnectionTimeout,
	VCConnectorFailReasonNoResponse,
	VCConnectorFailReasonTerminated,
	VCConnectorFailReasonInvalidToken,
	VCConnectorFailReasonUnableToCreateResource,
	VCConnectorFailReasonNoResponseFromResource,
	VCConnectorFailReasonInvalidResourceId,
	VCConnectorFailReasonResourceFull,
	VCConnectorFailReasonNotMember,
	VCConnectorFailReasonBanned,
	VCConnectorFailReasonMediaNotEnabled,
	VCConnectorFailReasonMediaFailed,
	VCConnectorFailReasonMiscLocalError,
	VCConnectorFailReasonMiscRemoteError,
	VCConnectorFailReasonMiscError,
	VCConnectorFailReasonInvalidDisplayNameLength,
	VCConnectorFailReasonRoomLocked,
	VCConnectorFailReasonRoomDisabled,
	VCConnectorFailReasonAllLinesInUse,
	VCConnectorFailReasonSeatLicenseExpired,
	VCConnectorFailReasonNotLicensed,
	VCConnectorFailReasonRejected,
	VCConnectorFailReasonBrowserVersionNotSupported
};
typedef NS_ENUM(NSInteger, VCConnectorLogLevel){
	VCConnectorLogLevelPRODUCTION,
	VCConnectorLogLevelDEBUG,
	VCConnectorLogLevelINVALID
};
typedef NS_ENUM(NSInteger, VCConnectorLoggerType){
	VCConnectorLoggerTypeCONSOLE,
	VCConnectorLoggerTypeFILE,
	VCConnectorLoggerTypeFEEDBACK,
	VCConnectorLoggerTypeHTTP
};
typedef NS_ENUM(NSInteger, VCConnectorMode){
	VCConnectorModeDefault,
	VCConnectorModeForeground,
	VCConnectorModeBackground
};
typedef NS_ENUM(NSInteger, VCConnectorModerationActionType){
	VCConnectorModerationActionTypeMute,
	VCConnectorModerationActionTypeUnmute,
	VCConnectorModerationActionTypeStartLectureMode,
	VCConnectorModerationActionTypeStopLectureMode,
	VCConnectorModerationActionTypeSetPresenter,
	VCConnectorModerationActionTypeRemovePresenter,
	VCConnectorModerationActionTypeRaiseHand,
	VCConnectorModerationActionTypeUnraiseHand,
	VCConnectorModerationActionTypeDismissRaisedHand,
	VCConnectorModerationActionTypeDismissAllRaisedHands,
	VCConnectorModerationActionTypeSetModeratorPin,
	VCConnectorModerationActionTypeRemoveModeratorPin,
	VCConnectorModerationActionTypeDisconnectAll,
	VCConnectorModerationActionTypeDisconnectOne,
	VCConnectorModerationActionTypeInvalid
};
typedef NS_ENUM(NSInteger, VCConnectorModerationResult){
	VCConnectorModerationResultOK,
	VCConnectorModerationResultNoResponse,
	VCConnectorModerationResultUnauthorized,
	VCConnectorModerationResultNotOwnerOfRoom,
	VCConnectorModerationResultNotAcceptable,
	VCConnectorModerationResultNotAllowed,
	VCConnectorModerationResultConflict,
	VCConnectorModerationResultInvalidInput,
	VCConnectorModerationResultOutOfResources,
	VCConnectorModerationResultUserIsOffline,
	VCConnectorModerationResultRoomFull,
	VCConnectorModerationResultMiscLocalError,
	VCConnectorModerationResultMiscRemoteError
};
typedef NS_ENUM(NSInteger, VCConnectorRecordingServiceResult){
	VCConnectorRecordingServiceResultSuccess,
	VCConnectorRecordingServiceResultInvalidArgument,
	VCConnectorRecordingServiceResultGeneralFailure,
	VCConnectorRecordingServiceResultSeatLicenseExpired,
	VCConnectorRecordingServiceResultNotLicensed,
	VCConnectorRecordingServiceResultResourceNotAvailable,
	VCConnectorRecordingServiceResultControlMeetingFailure
};
typedef NS_ENUM(NSInteger, VCConnectorRecordingState){
	VCConnectorRecordingStateNotRecording,
	VCConnectorRecordingStateRecordingPaused,
	VCConnectorRecordingStateRecording
};
typedef NS_ENUM(NSInteger, VCConnectorSearchResult){
	VCConnectorSearchResultOk,
	VCConnectorSearchResultNoRecords,
	VCConnectorSearchResultNoResponse,
	VCConnectorSearchResultMiscLocalError,
	VCConnectorSearchResultMiscRemoteError
};
typedef NS_ENUM(NSInteger, VCConnectorState){
	VCConnectorStateIdle,
	VCConnectorStateReady,
	VCConnectorStateEstablishingConnection,
	VCConnectorStateFindingResource,
	VCConnectorStateConnectingToResource,
	VCConnectorStateEnablingMedia,
	VCConnectorStateConnected,
	VCConnectorStateDisconnecting,
	VCConnectorStateDisabling,
	VCConnectorStateDead
};
typedef NS_ENUM(NSInteger, VCConnectorTradeOffProfile){
	VCConnectorTradeOffProfileHigh,
	VCConnectorTradeOffProfileMedium,
	VCConnectorTradeOffProfileLow
};
typedef NS_ENUM(NSInteger, VCConnectorViewStyle){
	VCConnectorViewStyleDefault,
	VCConnectorViewStyleTiles
};
typedef NS_ENUM(NSInteger, VCConnectorWebcastingState){
	VCConnectorWebcastingStateNotWebcasting,
	VCConnectorWebcastingStateWebcasting
};
@interface VCConnectorPkg : NSObject
{}

	+(BOOL) vcInitialize;
	+(BOOL) setConstructOptions:(const char*)constructOptions;
	+(BOOL) setExperimentalOptions:(const char*)options;
	+(void) uninitialize;
@end
@protocol VCConnectorIConnect

	-(void) onSuccess;
	-(void) onFailure:(VCConnectorFailReason)reason;
	-(void) onDisconnected:(VCConnectorDisconnectReason)reason;
@end
@protocol VCConnectorIGetActiveNetworkInterface

	-(void) onGetActiveNetworkInterface:(VCNetworkInterface*)signalingInterface MediaInterface:(VCNetworkInterface*)mediaInterface;
@end
@protocol VCConnectorIGetAnalyticsData

	-(void) onGetAnalyticsData:(VCConnectorAnalyticsServiceType)serviceType ServerUrl:(NSString*)serverUrl TrackingID:(NSString*)trackingID;
@end
@protocol VCConnectorIGetAnalyticsEventTable

	-(void) onGetAnalyticsEventTable:(NSMutableArray*)eventActions;
@end
@protocol VCConnectorIGetAutoReconnectSetting

	-(void) onGetAutoReconnectSetting:(BOOL)enableAutoReconnect ReconnectBackoff:(unsigned int)reconnectBackoff MaxReconnectAttempts:(unsigned int)maxReconnectAttempts;
@end
@protocol VCConnectorIGetCameraBackgroundEffect

	-(void) onGetCameraBackgroundEffectInfo:(VCConnectorCameraEffectInfo*)effectInfo;
@end
@protocol VCConnectorIGetRecordingServiceProfiles

	-(void) onGetRecordingServiceProfiles:(NSMutableArray*)profiles Prefixes:(NSMutableArray*)prefixes Result:(VCConnectorRecordingServiceResult)result;
@end
@protocol VCConnectorIGetWhitelistedAudioDevices

	-(void) onGetWhitelistedAudioDevices:(NSMutableArray*)audioDevices;
@end
@protocol VCConnectorIInviteParticipant

	-(void) onInviteResult:(NSString*)inviteeId Result:(VCConnectorModerationResult)result;
@end
@protocol VCConnectorILockRoom

	-(void) onLockRoomResult:(VCConnectorModerationResult)result;
@end
@protocol VCConnectorIPauseRecording

	-(void) onRecordingServicePauseResult:(VCConnectorModerationResult)result;
@end
@protocol VCConnectorIRaiseHand

	-(void) onRaiseHandResponse:(VCParticipantHandState)handState;
@end
@protocol VCConnectorIRegisterConferenceModeEventListener

	-(void) onConferenceModeChanged:(VCConnectorConferenceMode)mode;
@end
@protocol VCConnectorIRegisterConnectionPropertiesEventListener

	-(void) onConnectionPropertiesChanged:(VCConnectorConnectionProperties*)connectionProperties;
@end
@protocol VCConnectorIRegisterErrorEventListener

	-(void) onError:(VCConnectorErrorCode)error ApiName:(NSString*)apiName;
@end
@protocol VCConnectorIRegisterHostEventListener

	-(void) onConferenceHostStatusChanged:(VCParticipant*)host HostState:(VCConnectorConferenceHostState)hostState;
@end
@protocol VCConnectorIRegisterLectureModeEventListener

	-(void) onPresenterChanged:(VCParticipant*)participant;
	-(void) onHandRaised:(NSMutableArray*)participant;
@end
@protocol VCConnectorIRegisterLocalCameraEventListener

	-(void) onLocalCameraAdded:(VCLocalCamera*)localCamera;
	-(void) onLocalCameraRemoved:(VCLocalCamera*)localCamera;
	-(void) onLocalCameraSelected:(VCLocalCamera*)localCamera;
	-(void) onLocalCameraStateUpdated:(VCLocalCamera*)localCamera State:(VCDeviceState)state;
@end
@protocol VCConnectorIRegisterLocalCameraFrameListener

	-(void) onLocalCameraFrame:(VCLocalCamera*)localCamera VideoFrame:(VCVideoFrame*)videoFrame;
@end
@protocol VCConnectorIRegisterLocalMicrophoneEnergyListener

	-(void) onLocalMicrophoneEnergy:(VCLocalMicrophone*)localMicrophone AudioEnergy:(int)audioEnergy;
@end
@protocol VCConnectorIRegisterLocalMicrophoneEventListener

	-(void) onLocalMicrophoneAdded:(VCLocalMicrophone*)localMicrophone;
	-(void) onLocalMicrophoneRemoved:(VCLocalMicrophone*)localMicrophone;
	-(void) onLocalMicrophoneSelected:(VCLocalMicrophone*)localMicrophone;
	-(void) onLocalMicrophoneStateUpdated:(VCLocalMicrophone*)localMicrophone State:(VCDeviceState)state;
@end
@protocol VCConnectorIRegisterLocalMicrophoneFrameListener

	-(void) onLocalMicrophoneFrame:(VCLocalMicrophone*)localMicrophone AudioFrame:(VCAudioFrame*)audioFrame;
@end
@protocol VCConnectorIRegisterLocalMonitorEventListener

	-(void) onLocalMonitorAdded:(VCLocalMonitor*)localMonitor;
	-(void) onLocalMonitorRemoved:(VCLocalMonitor*)localMonitor;
	-(void) onLocalMonitorSelected:(VCLocalMonitor*)localMonitor;
	-(void) onLocalMonitorStateUpdated:(VCLocalMonitor*)localMonitor State:(VCDeviceState)state;
@end
@protocol VCConnectorIRegisterLocalMonitorFrameListener

	-(void) onLocalMonitorFrame:(VCLocalMonitor*)localMonitor VideoFrame:(VCVideoFrame*)videoFrame;
@end
@protocol VCConnectorIRegisterLocalSpeakerEventListener

	-(void) onLocalSpeakerAdded:(VCLocalSpeaker*)localSpeaker;
	-(void) onLocalSpeakerRemoved:(VCLocalSpeaker*)localSpeaker;
	-(void) onLocalSpeakerSelected:(VCLocalSpeaker*)localSpeaker;
	-(void) onLocalSpeakerStateUpdated:(VCLocalSpeaker*)localSpeaker State:(VCDeviceState)state;
@end
@protocol VCConnectorIRegisterLocalWindowShareEventListener

	-(void) onLocalWindowShareAdded:(VCLocalWindowShare*)localWindowShare;
	-(void) onLocalWindowShareRemoved:(VCLocalWindowShare*)localWindowShare;
	-(void) onLocalWindowShareSelected:(VCLocalWindowShare*)localWindowShare;
	-(void) onLocalWindowShareStateUpdated:(VCLocalWindowShare*)localWindowShare State:(VCDeviceState)state;
@end
@protocol VCConnectorIRegisterLocalWindowShareFrameListener

	-(void) onLocalWindowShareFrame:(VCLocalWindowShare*)localWindowShare VideoFrame:(VCVideoFrame*)videoFrame;
@end
@protocol VCConnectorIRegisterLogEventListener

	-(void) onLog:(VCLogRecord*)logRecord;
@end
@protocol VCConnectorIRegisterMessageEventListener

	-(void) onChatMessageReceived:(VCParticipant*)participant ChatMessage:(VCChatMessage*)chatMessage;
@end
@protocol VCConnectorIRegisterModerationCommandEventListener

	-(void) onModerationCommandReceived:(VCDeviceType)deviceType ModerationType:(VCRoomModerationType)moderationType State:(BOOL)state;
@end
@protocol VCConnectorIRegisterModerationResultEventListener

	-(void) onModerationResult:(VCParticipant*)participant Result:(VCConnectorModerationResult)result Action:(VCConnectorModerationActionType)action RequestId:(NSString*)requestId;
@end
@protocol VCConnectorIRegisterNetworkInterfaceEventListener

	-(void) onNetworkInterfaceAdded:(VCNetworkInterface*)networkInterface;
	-(void) onNetworkInterfaceRemoved:(VCNetworkInterface*)networkInterface;
	-(void) onNetworkInterfaceSelected:(VCNetworkInterface*)networkInterface TransportType:(VCNetworkInterfaceTransportType)transportType;
	-(void) onNetworkInterfaceStateUpdated:(VCNetworkInterface*)networkInterface State:(VCNetworkInterfaceState)state;
@end
@protocol VCConnectorIRegisterParticipantEventListener

	-(void) onParticipantJoined:(VCParticipant*)participant;
	-(void) onParticipantLeft:(VCParticipant*)participant;
	-(void) onDynamicParticipantChanged:(NSMutableArray*)participants;
	-(void) onLoudestParticipantChanged:(VCParticipant*)participant AudioOnly:(BOOL)audioOnly;
@end
@protocol VCConnectorIRegisterReconnectEventListener

	-(void) onReconnecting:(unsigned int)attempt AttemptTimeout:(unsigned int)attemptTimeout Reason:(VCConnectorFailReason)reason;
	-(void) onReconnected;
	-(void) onConferenceLost:(VCConnectorFailReason)reason;
@end
@protocol VCConnectorIRegisterRecorderInCallEventListener

	-(void) recorderInCall:(BOOL)hasRecorder IsPaused:(BOOL)isPaused;
@end
@protocol VCConnectorIRegisterRemoteCameraEventListener

	-(void) onRemoteCameraAdded:(VCRemoteCamera*)remoteCamera Participant:(VCParticipant*)participant;
	-(void) onRemoteCameraRemoved:(VCRemoteCamera*)remoteCamera Participant:(VCParticipant*)participant;
	-(void) onRemoteCameraStateUpdated:(VCRemoteCamera*)remoteCamera Participant:(VCParticipant*)participant State:(VCDeviceState)state;
@end
@protocol VCConnectorIRegisterRemoteCameraFrameListener

	-(void) onRemoteCameraFrame:(VCRemoteCamera*)remoteCamera Participant:(VCParticipant*)participant VideoFrame:(VCVideoFrame*)videoFrame;
@end
@protocol VCConnectorIRegisterRemoteMicrophoneEnergyListener

	-(void) onRemoteMicrophoneEnergy:(VCRemoteMicrophone*)remoteMicrophone Participant:(VCParticipant*)participant AudioEnergy:(int)audioEnergy;
@end
@protocol VCConnectorIRegisterRemoteMicrophoneEventListener

	-(void) onRemoteMicrophoneAdded:(VCRemoteMicrophone*)remoteMicrophone Participant:(VCParticipant*)participant;
	-(void) onRemoteMicrophoneRemoved:(VCRemoteMicrophone*)remoteMicrophone Participant:(VCParticipant*)participant;
	-(void) onRemoteMicrophoneStateUpdated:(VCRemoteMicrophone*)remoteMicrophone Participant:(VCParticipant*)participant State:(VCDeviceState)state;
@end
@protocol VCConnectorIRegisterRemoteMicrophoneFrameListener

	-(void) onRemoteMicrophoneFrame:(VCRemoteMicrophone*)remoteMicrophone Participant:(VCParticipant*)participant AudioFrame:(VCAudioFrame*)audioFrame;
@end
@protocol VCConnectorIRegisterRemoteRendererEventListener

	-(void) onRemoteRendererAdded:(VCRemoteRenderer*)remoteRenderer;
	-(void) onRemoteRendererRemoved:(VCRemoteRenderer*)remoteRenderer;
	-(void) onRemoteRendererStateUpdated:(VCRemoteRenderer*)remoteRenderer State:(VCDeviceState)state;
@end
@protocol VCConnectorIRegisterRemoteSpeakerEventListener

	-(void) onRemoteSpeakerAdded:(VCRemoteSpeaker*)remoteSpeaker;
	-(void) onRemoteSpeakerRemoved:(VCRemoteSpeaker*)remoteSpeaker;
	-(void) onRemoteSpeakerStateUpdated:(VCRemoteSpeaker*)remoteSpeaker State:(VCDeviceState)state;
@end
@protocol VCConnectorIRegisterRemoteWindowShareEventListener

	-(void) onRemoteWindowShareAdded:(VCRemoteWindowShare*)remoteWindowShare Participant:(VCParticipant*)participant;
	-(void) onRemoteWindowShareRemoved:(VCRemoteWindowShare*)remoteWindowShare Participant:(VCParticipant*)participant;
	-(void) onRemoteWindowShareStateUpdated:(VCRemoteWindowShare*)remoteWindowShare Participant:(VCParticipant*)participant State:(VCDeviceState)state;
@end
@protocol VCConnectorIRegisterRemoteWindowShareFrameListener

	-(void) onRemoteWindowShareFrame:(VCRemoteWindowShare*)remoteWindowShare Participant:(VCParticipant*)participant VideoFrame:(VCVideoFrame*)videoFrame;
@end
@protocol VCConnectorIRegisterResourceManagerEventListener

	-(void) onAvailableResourcesChanged:(unsigned int)cpuEncode CpuDecode:(unsigned int)cpuDecode BandwidthSend:(unsigned int)bandwidthSend BandwidthReceive:(unsigned int)bandwidthReceive;
	-(void) onMaxRemoteSourcesChanged:(unsigned int)maxRemoteSources;
@end
@protocol VCConnectorIRegisterVirtualVideoSourceEventListener

	-(void) onVirtualVideoSourceAdded:(VCVirtualVideoSource*)virtualVideoSource;
	-(void) onVirtualVideoSourceRemoved:(VCVirtualVideoSource*)virtualVideoSource;
	-(void) onVirtualVideoSourceStateUpdated:(VCVirtualVideoSource*)virtualVideoSource State:(VCDeviceState)state;
	-(void) onVirtualVideoSourceExternalMediaBufferReleased:(VCVirtualVideoSource*)virtualVideoSource Buffer:(unsigned char*)buffer Size:(size_t)size;
@end
@protocol VCConnectorIRegisterWebProxyEventListener

	-(void) onWebProxyCredentialsRequest:(NSMutableString*)webProxyAddress;
@end
@protocol VCConnectorIRemoveModeratorRole

	-(void) onRemoveModeratorRoleResult:(VCConnectorModerationResult)result;
@end
@protocol VCConnectorIRemoveRoomPIN

	-(void) onRemoveRoomPINResult:(VCConnectorModerationResult)result;
@end
@protocol VCConnectorIRequestModeratorRole

	-(void) onRequestModeratorRoleResult:(VCConnectorModerationResult)result;
@end
@protocol VCConnectorIRequestVideoForRemoteCamera

	-(void) onRemoteCameraFirstFrameReceived:(VCRemoteCamera*)remoteCamera;
@end
@protocol VCConnectorIRequestVideoForRemoteWindowShare

	-(void) onRemoteWindowShareFirstFrameReceived:(VCRemoteWindowShare*)remoteWindowShare;
@end
@protocol VCConnectorIResumeRecording

	-(void) onRecordingServiceResumeResult:(VCConnectorModerationResult)result;
@end
@protocol VCConnectorISearchUsers

	-(void) onUserSearchResults:(NSString*)searchText StartIndex:(unsigned int)startIndex SearchResult:(VCConnectorSearchResult)searchResult Contacts:(NSMutableArray*)contacts NumRecords:(size_t)numRecords;
@end
@protocol VCConnectorISetRoomPIN

	-(void) onSetRoomPINResult:(VCConnectorModerationResult)result;
@end
@protocol VCConnectorIStartRecording

	-(void) onRecordingServiceStartResult:(VCConnectorModerationResult)result;
@end
@protocol VCConnectorIStopRecording

	-(void) onRecordingServiceStopResult:(VCConnectorModerationResult)result;
@end
@protocol VCConnectorIUnlockRoom

	-(void) onUnlockRoomResult:(VCConnectorModerationResult)result;
@end
@interface VCConnector : NSObject
{
	void* objPtr;
	NSMutableDictionary<NSString*, VCParticipant*> *participantsMap;
	NSMutableDictionary<NSString*, VCRemoteCamera*> *remoteCamerasMap;
	NSMutableDictionary<NSString*, VCRemoteMicrophone*> *remoteMicrophonesMap;
	NSMutableDictionary<NSString*, VCRemoteWindowShare*> *remoteWindowSharesMap;
	NSMutableDictionary<NSString*, id<VCConnectorIRequestVideoForRemoteCamera>> *onRemoteCameraFirstFrameReceivedCallbacksMap;
	NSMutableDictionary<NSString*, id<VCConnectorIRequestVideoForRemoteWindowShare>> *onRemoteWindowShareFirstFrameReceivedCallbacksMap;
	@public
	id<VCConnectorIConnect> connectorIConnect;
	id<VCConnectorIGetActiveNetworkInterface> connectorIGetActiveNetworkInterface;
	id<VCConnectorIGetAnalyticsData> connectorIGetAnalyticsData;
	id<VCConnectorIGetAnalyticsEventTable> connectorIGetAnalyticsEventTable;
	id<VCConnectorIGetAutoReconnectSetting> connectorIGetAutoReconnectSetting;
	id<VCConnectorIGetCameraBackgroundEffect> connectorIGetCameraBackgroundEffect;
	id<VCConnectorIGetRecordingServiceProfiles> connectorIGetRecordingServiceProfiles;
	id<VCConnectorIGetWhitelistedAudioDevices> connectorIGetWhitelistedAudioDevices;
	id<VCConnectorIInviteParticipant> connectorIInviteParticipant;
	id<VCConnectorILockRoom> connectorILockRoom;
	id<VCConnectorIPauseRecording> connectorIPauseRecording;
	id<VCConnectorIRaiseHand> connectorIRaiseHand;
	id<VCConnectorIRegisterConferenceModeEventListener> connectorIRegisterConferenceModeEventListener;
	id<VCConnectorIRegisterConnectionPropertiesEventListener> connectorIRegisterConnectionPropertiesEventListener;
	id<VCConnectorIRegisterErrorEventListener> connectorIRegisterErrorEventListener;
	id<VCConnectorIRegisterHostEventListener> connectorIRegisterHostEventListener;
	id<VCConnectorIRegisterLectureModeEventListener> connectorIRegisterLectureModeEventListener;
	id<VCConnectorIRegisterLocalCameraEventListener> connectorIRegisterLocalCameraEventListener;
	id<VCConnectorIRegisterLocalCameraFrameListener> connectorIRegisterLocalCameraFrameListener;
	id<VCConnectorIRegisterLocalMicrophoneEnergyListener> connectorIRegisterLocalMicrophoneEnergyListener;
	id<VCConnectorIRegisterLocalMicrophoneEventListener> connectorIRegisterLocalMicrophoneEventListener;
	id<VCConnectorIRegisterLocalMicrophoneFrameListener> connectorIRegisterLocalMicrophoneFrameListener;
	id<VCConnectorIRegisterLocalMonitorEventListener> connectorIRegisterLocalMonitorEventListener;
	id<VCConnectorIRegisterLocalMonitorFrameListener> connectorIRegisterLocalMonitorFrameListener;
	id<VCConnectorIRegisterLocalSpeakerEventListener> connectorIRegisterLocalSpeakerEventListener;
	id<VCConnectorIRegisterLocalWindowShareEventListener> connectorIRegisterLocalWindowShareEventListener;
	id<VCConnectorIRegisterLocalWindowShareFrameListener> connectorIRegisterLocalWindowShareFrameListener;
	id<VCConnectorIRegisterLogEventListener> connectorIRegisterLogEventListener;
	id<VCConnectorIRegisterMessageEventListener> connectorIRegisterMessageEventListener;
	id<VCConnectorIRegisterModerationCommandEventListener> connectorIRegisterModerationCommandEventListener;
	id<VCConnectorIRegisterModerationResultEventListener> connectorIRegisterModerationResultEventListener;
	id<VCConnectorIRegisterNetworkInterfaceEventListener> connectorIRegisterNetworkInterfaceEventListener;
	id<VCConnectorIRegisterParticipantEventListener> connectorIRegisterParticipantEventListener;
	id<VCConnectorIRegisterReconnectEventListener> connectorIRegisterReconnectEventListener;
	id<VCConnectorIRegisterRecorderInCallEventListener> connectorIRegisterRecorderInCallEventListener;
	id<VCConnectorIRegisterRemoteCameraEventListener> connectorIRegisterRemoteCameraEventListener;
	id<VCConnectorIRegisterRemoteCameraFrameListener> connectorIRegisterRemoteCameraFrameListener;
	id<VCConnectorIRegisterRemoteMicrophoneEnergyListener> connectorIRegisterRemoteMicrophoneEnergyListener;
	id<VCConnectorIRegisterRemoteMicrophoneEventListener> connectorIRegisterRemoteMicrophoneEventListener;
	id<VCConnectorIRegisterRemoteMicrophoneFrameListener> connectorIRegisterRemoteMicrophoneFrameListener;
	id<VCConnectorIRegisterRemoteRendererEventListener> connectorIRegisterRemoteRendererEventListener;
	id<VCConnectorIRegisterRemoteSpeakerEventListener> connectorIRegisterRemoteSpeakerEventListener;
	id<VCConnectorIRegisterRemoteWindowShareEventListener> connectorIRegisterRemoteWindowShareEventListener;
	id<VCConnectorIRegisterRemoteWindowShareFrameListener> connectorIRegisterRemoteWindowShareFrameListener;
	id<VCConnectorIRegisterResourceManagerEventListener> connectorIRegisterResourceManagerEventListener;
	id<VCConnectorIRegisterVirtualVideoSourceEventListener> connectorIRegisterVirtualVideoSourceEventListener;
	id<VCConnectorIRegisterWebProxyEventListener> connectorIRegisterWebProxyEventListener;
	id<VCConnectorIRemoveModeratorRole> connectorIRemoveModeratorRole;
	id<VCConnectorIRemoveRoomPIN> connectorIRemoveRoomPIN;
	id<VCConnectorIRequestModeratorRole> connectorIRequestModeratorRole;
	id<VCConnectorIResumeRecording> connectorIResumeRecording;
	id<VCConnectorISearchUsers> connectorISearchUsers;
	id<VCConnectorISetRoomPIN> connectorISetRoomPIN;
	id<VCConnectorIStartRecording> connectorIStartRecording;
	id<VCConnectorIStopRecording> connectorIStopRecording;
	id<VCConnectorIUnlockRoom> connectorIUnlockRoom;
}

	-(id) init:(void*)viewId ViewStyle:(VCConnectorViewStyle)viewStyle RemoteParticipants:(unsigned int)remoteParticipants LogFileFilter:(const char*)logFileFilter LogFileName:(const char*)logFileName UserData:(long)userData;
	-(void) dealloc;
	-(BOOL) addAudioDeviceToWhitelist:(NSString*)deviceName;
	-(BOOL) addMessageClass:(const char*)messageClass;
	-(BOOL) analyticsControlEventAction:(VCConnectorAnalyticsEventCategory)eventCategory EventAction:(VCConnectorAnalyticsEventAction)eventAction Enable:(BOOL)enable;
	-(BOOL) analyticsStart:(VCConnectorAnalyticsServiceType)serviceType ServerUrl:(NSString*)serverUrl TrackingID:(NSString*)trackingID;
	-(BOOL) analyticsStop;
	-(BOOL) approveRaisedHand:(VCParticipant*)participant RequestId:(NSString*)requestId;
	-(BOOL) assignViewToCompositeRenderer:(void*)viewId ViewStyle:(VCConnectorViewStyle)viewStyle RemoteParticipants:(unsigned int)remoteParticipants;
	-(BOOL) assignViewToLocalCamera:(void*)viewId LocalCamera:(VCLocalCamera*)localCamera DisplayCropped:(BOOL)displayCropped AllowZoom:(BOOL)allowZoom;
	-(BOOL) assignViewToLocalMonitor:(void*)viewId LocalMonitor:(VCLocalMonitor*)localMonitor DisplayCropped:(BOOL)displayCropped AllowZoom:(BOOL)allowZoom;
	-(BOOL) assignViewToLocalWindowShare:(void*)viewId LocalWindowShare:(VCLocalWindowShare*)localWindowShare DisplayCropped:(BOOL)displayCropped AllowZoom:(BOOL)allowZoom;
	-(BOOL) assignViewToRemoteCamera:(void*)viewId RemoteCamera:(VCRemoteCamera*)remoteCamera DisplayCropped:(BOOL)displayCropped AllowZoom:(BOOL)allowZoom;
	-(BOOL) assignViewToRemoteWindowShare:(void*)viewId RemoteWindowShare:(VCRemoteWindowShare*)remoteWindowShare DisplayCropped:(BOOL)displayCropped AllowZoom:(BOOL)allowZoom;
	-(BOOL) assignViewToVirtualVideoSource:(void*)viewId VirtualVideoSource:(VCVirtualVideoSource*)virtualVideoSource DisplayCropped:(BOOL)displayCropped AllowZoom:(BOOL)allowZoom;
	-(BOOL) connect:(const char*)host Token:(const char*)token DisplayName:(const char*)displayName ResourceId:(const char*)resourceId ConnectorIConnect:(id<VCConnectorIConnect>)connectorIConnect;
	-(BOOL) connectToRoomAsGuest:(const char*)host DisplayName:(const char*)displayName RoomKey:(const char*)roomKey RoomPin:(const char*)roomPin ConnectorIConnect:(id<VCConnectorIConnect>)connectorIConnect;
	-(BOOL) connectToRoomWithId:(const char*)host UserName:(const char*)userName Password:(const char*)password RoomId:(const char*)roomId RoomPin:(const char*)roomPin ConnectorIConnect:(id<VCConnectorIConnect>)connectorIConnect;
	-(BOOL) connectToRoomWithKey:(const char*)host UserName:(const char*)userName Password:(const char*)password RoomKey:(const char*)roomKey RoomPin:(const char*)roomPin ConnectorIConnect:(id<VCConnectorIConnect>)connectorIConnect;
	-(BOOL) connectToRoomWithTokenAndId:(const char*)host UserName:(const char*)userName Token:(const char*)token RoomId:(const char*)roomId RoomPin:(const char*)roomPin ConnectorIConnect:(id<VCConnectorIConnect>)connectorIConnect;
	-(BOOL) connectToRoomWithTokenAndKey:(const char*)host UserName:(const char*)userName Token:(const char*)token RoomKey:(const char*)roomKey RoomPin:(const char*)roomPin ConnectorIConnect:(id<VCConnectorIConnect>)connectorIConnect;
	-(BOOL) createVirtualVideoSource:(VCVirtualVideoSourceType)type Id:(const char*)id Name:(const char*)name;
	-(BOOL) cycleCamera;
	-(BOOL) cycleMicrophone;
	-(BOOL) cycleSpeaker;
	-(BOOL) destroyVirtualVideoSource:(VCVirtualVideoSource*)virtualVideoSource;
	-(BOOL) disable;
	-(BOOL) disableAudioForAll:(BOOL)disable RequestId:(NSString*)requestId;
	-(BOOL) disableAudioForParticipant:(VCParticipant*)participant Disable:(BOOL)disable RequestId:(NSString*)requestId;
	-(BOOL) disableAudioSilenceForAll:(NSString*)requestId;
	-(BOOL) disableAudioSilenceForParticipant:(VCParticipant*)participant RequestId:(NSString*)requestId;
	-(BOOL) disableDebug;
	-(BOOL) disableVideoForAll:(BOOL)disable RequestId:(NSString*)requestId;
	-(BOOL) disableVideoForParticipant:(VCParticipant*)participant Disable:(BOOL)disable RequestId:(NSString*)requestId;
	-(BOOL) disableVideoSilenceForAll:(NSString*)requestId;
	-(BOOL) disableVideoSilenceForParticipant:(VCParticipant*)participant RequestId:(NSString*)requestId;
	-(BOOL) disconnect;
	-(BOOL) dismissAllRaisedHands:(NSString*)requestId;
	-(BOOL) dismissRaisedHand:(NSMutableArray*)participants RequestId:(NSString*)requestId;
	-(BOOL) dropAllParticipants:(NSString*)reason;
	-(BOOL) dropParticipant:(VCParticipant*)participant Reason:(NSString*)reason;
	-(BOOL) enableDebug:(unsigned int)port LogFilter:(const char*)logFilter;
	-(BOOL) getActiveNetworkInterface:(id<VCConnectorIGetActiveNetworkInterface>)connectorIGetActiveNetworkInterface;
	-(BOOL) getAnalyticsData:(id<VCConnectorIGetAnalyticsData>)connectorIGetAnalyticsData;
	-(BOOL) getAnalyticsEventTable:(id<VCConnectorIGetAnalyticsEventTable>)connectorIGetAnalyticsEventTable;
	-(BOOL) getAutoReconnectSetting:(id<VCConnectorIGetAutoReconnectSetting>)connectorIGetAutoReconnectSetting;
	-(BOOL) getCameraBackgroundEffect:(id<VCConnectorIGetCameraBackgroundEffect>)connectorIGetCameraBackgroundEffect;
	-(VCConnectorTradeOffProfile) getCpuTradeOffProfile;
	-(VCConnectorLogLevel) getLogLevel:(VCConnectorLoggerType)loggerType;
	-(unsigned int) getMaxReceiveBitRate;
	-(unsigned int) getMaxSendBitRate;
	-(NSString*) getOptions;
	-(BOOL) getRecordingServiceProfiles:(id<VCConnectorIGetRecordingServiceProfiles>)connectorIGetRecordingServiceProfiles;
	-(NSMutableString*) getRendererOptionsForViewId:(void*)viewId;
	-(VCConnectorState) getState;
	-(NSString*) getStatsJson;
	-(NSString*) getVersion;
	-(NSString*) getVersionWithoutBuildNumber;
	-(BOOL) getWhitelistedAudioDevices:(id<VCConnectorIGetWhitelistedAudioDevices>)connectorIGetWhitelistedAudioDevices;
	-(BOOL) hideView:(void*)viewId;
	-(BOOL) holdAudio;
	-(BOOL) inviteParticipant:(VCContactInfo*)contact Message:(NSString*)message ConnectorIInviteParticipant:(id<VCConnectorIInviteParticipant>)connectorIInviteParticipant;
	-(BOOL) lockRoom:(id<VCConnectorILockRoom>)connectorILockRoom;
	-(BOOL) pauseRecording:(id<VCConnectorIPauseRecording>)connectorIPauseRecording;
	-(BOOL) pinParticipant:(VCParticipant*)participant Pin:(BOOL)pin;
	-(BOOL) raiseHand:(id<VCConnectorIRaiseHand>)connectorIRaiseHand RequestId:(NSString*)requestId;
	-(BOOL) registerConferenceModeEventListener:(id<VCConnectorIRegisterConferenceModeEventListener>)connectorIRegisterConferenceModeEventListener;
	-(BOOL) registerConnectionPropertiesEventListener:(id<VCConnectorIRegisterConnectionPropertiesEventListener>)connectorIRegisterConnectionPropertiesEventListener;
	-(BOOL) registerErrorEventListener:(id<VCConnectorIRegisterErrorEventListener>)connectorIRegisterErrorEventListener;
	-(BOOL) registerHostEventListener:(id<VCConnectorIRegisterHostEventListener>)connectorIRegisterHostEventListener;
	-(BOOL) registerLectureModeEventListener:(id<VCConnectorIRegisterLectureModeEventListener>)connectorIRegisterLectureModeEventListener;
	-(BOOL) registerLocalCameraEventListener:(id<VCConnectorIRegisterLocalCameraEventListener>)connectorIRegisterLocalCameraEventListener;
	-(BOOL) registerLocalCameraFrameListener:(id<VCConnectorIRegisterLocalCameraFrameListener>)connectorIRegisterLocalCameraFrameListener LocalCamera:(VCLocalCamera*)localCamera Width:(unsigned int)width Height:(unsigned int)height FrameInterval:(long)frameInterval;
	-(BOOL) registerLocalMicrophoneEnergyListener:(id<VCConnectorIRegisterLocalMicrophoneEnergyListener>)connectorIRegisterLocalMicrophoneEnergyListener;
	-(BOOL) registerLocalMicrophoneEventListener:(id<VCConnectorIRegisterLocalMicrophoneEventListener>)connectorIRegisterLocalMicrophoneEventListener;
	-(BOOL) registerLocalMicrophoneFrameListener:(id<VCConnectorIRegisterLocalMicrophoneFrameListener>)connectorIRegisterLocalMicrophoneFrameListener LocalMicrophone:(VCLocalMicrophone*)localMicrophone;
	-(BOOL) registerLocalMonitorEventListener:(id<VCConnectorIRegisterLocalMonitorEventListener>)connectorIRegisterLocalMonitorEventListener;
	-(BOOL) registerLocalMonitorFrameListener:(id<VCConnectorIRegisterLocalMonitorFrameListener>)connectorIRegisterLocalMonitorFrameListener LocalMonitor:(VCLocalMonitor*)localMonitor Width:(unsigned int)width Height:(unsigned int)height FrameInterval:(long)frameInterval;
	-(BOOL) registerLocalSpeakerEventListener:(id<VCConnectorIRegisterLocalSpeakerEventListener>)connectorIRegisterLocalSpeakerEventListener;
	-(BOOL) registerLocalWindowShareEventListener:(id<VCConnectorIRegisterLocalWindowShareEventListener>)connectorIRegisterLocalWindowShareEventListener;
	-(BOOL) registerLocalWindowShareFrameListener:(id<VCConnectorIRegisterLocalWindowShareFrameListener>)connectorIRegisterLocalWindowShareFrameListener LocalWindowShare:(VCLocalWindowShare*)localWindowShare Width:(unsigned int)width Height:(unsigned int)height FrameInterval:(long)frameInterval;
	-(BOOL) registerLogEventListener:(id<VCConnectorIRegisterLogEventListener>)connectorIRegisterLogEventListener Filter:(const char*)filter;
	-(BOOL) registerMessageEventListener:(id<VCConnectorIRegisterMessageEventListener>)connectorIRegisterMessageEventListener;
	-(BOOL) registerModerationCommandEventListener:(id<VCConnectorIRegisterModerationCommandEventListener>)connectorIRegisterModerationCommandEventListener;
	-(BOOL) registerModerationResultEventListener:(id<VCConnectorIRegisterModerationResultEventListener>)connectorIRegisterModerationResultEventListener;
	-(BOOL) registerNetworkInterfaceEventListener:(id<VCConnectorIRegisterNetworkInterfaceEventListener>)connectorIRegisterNetworkInterfaceEventListener;
	-(BOOL) registerParticipantEventListener:(id<VCConnectorIRegisterParticipantEventListener>)connectorIRegisterParticipantEventListener;
	-(BOOL) registerReconnectEventListener:(id<VCConnectorIRegisterReconnectEventListener>)connectorIRegisterReconnectEventListener;
	-(BOOL) registerRecorderInCallEventListener:(id<VCConnectorIRegisterRecorderInCallEventListener>)connectorIRegisterRecorderInCallEventListener;
	-(BOOL) registerRemoteCameraEventListener:(id<VCConnectorIRegisterRemoteCameraEventListener>)connectorIRegisterRemoteCameraEventListener;
	-(BOOL) registerRemoteCameraFrameListener:(id<VCConnectorIRegisterRemoteCameraFrameListener>)connectorIRegisterRemoteCameraFrameListener RemoteCamera:(VCRemoteCamera*)remoteCamera Width:(unsigned int)width Height:(unsigned int)height FrameInterval:(long)frameInterval;
	-(BOOL) registerRemoteMicrophoneEnergyListener:(id<VCConnectorIRegisterRemoteMicrophoneEnergyListener>)connectorIRegisterRemoteMicrophoneEnergyListener;
	-(BOOL) registerRemoteMicrophoneEventListener:(id<VCConnectorIRegisterRemoteMicrophoneEventListener>)connectorIRegisterRemoteMicrophoneEventListener;
	-(BOOL) registerRemoteMicrophoneFrameListener:(id<VCConnectorIRegisterRemoteMicrophoneFrameListener>)connectorIRegisterRemoteMicrophoneFrameListener RemoteMicrophone:(VCRemoteMicrophone*)remoteMicrophone;
	-(BOOL) registerRemoteRendererEventListener:(id<VCConnectorIRegisterRemoteRendererEventListener>)connectorIRegisterRemoteRendererEventListener;
	-(BOOL) registerRemoteSpeakerEventListener:(id<VCConnectorIRegisterRemoteSpeakerEventListener>)connectorIRegisterRemoteSpeakerEventListener;
	-(BOOL) registerRemoteWindowShareEventListener:(id<VCConnectorIRegisterRemoteWindowShareEventListener>)connectorIRegisterRemoteWindowShareEventListener;
	-(BOOL) registerRemoteWindowShareFrameListener:(id<VCConnectorIRegisterRemoteWindowShareFrameListener>)connectorIRegisterRemoteWindowShareFrameListener RemoteWindowShare:(VCRemoteWindowShare*)remoteWindowShare Width:(unsigned int)width Height:(unsigned int)height FrameInterval:(long)frameInterval;
	-(BOOL) registerResourceManagerEventListener:(id<VCConnectorIRegisterResourceManagerEventListener>)connectorIRegisterResourceManagerEventListener;
	-(BOOL) registerVirtualVideoSourceEventListener:(id<VCConnectorIRegisterVirtualVideoSourceEventListener>)connectorIRegisterVirtualVideoSourceEventListener;
	-(BOOL) registerWebProxyEventListener:(id<VCConnectorIRegisterWebProxyEventListener>)connectorIRegisterWebProxyEventListener;
	-(BOOL) removeAudioDeviceFromWhitelist:(NSString*)deviceName;
	-(BOOL) removeModeratorPIN:(NSString*)requestId;
	-(BOOL) removeModeratorRole:(id<VCConnectorIRemoveModeratorRole>)connectorIRemoveModeratorRole;
	-(BOOL) removePresenter:(NSString*)requestId;
	-(BOOL) removeRoomPIN:(id<VCConnectorIRemoveRoomPIN>)connectorIRemoveRoomPIN;
	-(BOOL) reportLocalParticipantOnJoined:(BOOL)reportLocalParticipant;
	-(BOOL) requestModeratorRole:(NSString*)moderatorPIN ConnectorIRequestModeratorRole:(id<VCConnectorIRequestModeratorRole>)connectorIRequestModeratorRole;
	-(BOOL) requestToResumeVideo;
	-(BOOL) requestToSpeak;
	-(BOOL) requestVideoForRemoteCamera:(VCRemoteCamera*)remoteCamera Width:(unsigned int)width Height:(unsigned int)height FrameInterval:(long)frameInterval ConnectorIRequestVideoForRemoteCamera:(id<VCConnectorIRequestVideoForRemoteCamera>)connectorIRequestVideoForRemoteCamera;
	-(BOOL) requestVideoForRemoteWindowShare:(VCRemoteWindowShare*)remoteWindowShare Width:(unsigned int)width Height:(unsigned int)height FrameInterval:(long)frameInterval ConnectorIRequestVideoForRemoteWindowShare:(id<VCConnectorIRequestVideoForRemoteWindowShare>)connectorIRequestVideoForRemoteWindowShare;
	-(BOOL) resumeAudio;
	-(BOOL) resumeRecording:(id<VCConnectorIResumeRecording>)connectorIResumeRecording;
	-(BOOL) searchUsers:(NSString*)searchText StartIndex:(unsigned int)startIndex MaxRecords:(unsigned int)maxRecords ConnectorISearchUsers:(id<VCConnectorISearchUsers>)connectorISearchUsers;
	-(BOOL) selectAudioContentShare:(VCLocalMicrophone*)localMicrophone;
	-(BOOL) selectDefaultCamera;
	-(BOOL) selectDefaultMicrophone;
	-(BOOL) selectDefaultNetworkInterfaceForMedia;
	-(BOOL) selectDefaultNetworkInterfaceForSignaling;
	-(BOOL) selectDefaultSpeaker;
	-(BOOL) selectLocalCamera:(VCLocalCamera*)localCamera;
	-(BOOL) selectLocalMicrophone:(VCLocalMicrophone*)localMicrophone;
	-(BOOL) selectLocalMonitor:(VCLocalMonitor*)localMonitor;
	-(BOOL) selectLocalSpeaker:(VCLocalSpeaker*)localSpeaker;
	-(BOOL) selectLocalWindowShare:(VCLocalWindowShare*)localWindowShare;
	-(BOOL) selectNetworkInterfaceForMedia:(VCNetworkInterface*)networkInterface;
	-(BOOL) selectNetworkInterfaceForSignaling:(VCNetworkInterface*)networkInterface;
	-(BOOL) selectVideoContentShare:(VCLocalCamera*)localCamera;
	-(BOOL) selectVirtualCamera:(VCVirtualVideoSource*)virtualCamera;
	-(BOOL) selectVirtualSourceWindowShare:(VCVirtualVideoSource*)virtualWindowShare;
	-(BOOL) selectVirtualWindowShare:(VCVirtualWindowShare*)virtualWindowShare;
	-(BOOL) sendChatMessage:(const char*)message;
	-(BOOL) sendPrivateChatMessage:(VCParticipant*)participant Message:(const char*)message;
	-(BOOL) setAdvancedLogOptions:(VCConnectorLoggerType)loggerType AdvancedLogFilter:(NSMutableString*)advancedLogFilter;
	-(BOOL) setAdvancedOptions:(const char*)options;
	-(BOOL) setAutoReconnect:(BOOL)enable;
	-(BOOL) setAutoReconnectAttemptBackOff:(unsigned int)backOff;
	-(BOOL) setAutoReconnectMaxAttempts:(unsigned int)maxAttempts;
	-(BOOL) setBlurIntensity:(unsigned int)intensity;
	-(BOOL) setCameraBackgroundEffect:(VCConnectorCameraEffectInfo*)effectInfo;
	-(BOOL) setCameraNudgeConfiguration:(const char*)cameraNudgeConfig;
	-(BOOL) setCameraPrivacy:(BOOL)privacy;
	-(BOOL) setCertificateAuthorityFile:(const char*)certificateAuthorityFile;
	-(BOOL) setCertificateAuthorityList:(const char*)certificateAuthorityList;
	-(BOOL) setCpuTradeOffProfile:(VCConnectorTradeOffProfile)profile;
	-(BOOL) setDisableVideoOnLowBandwidth:(BOOL)enable;
	-(BOOL) setDisableVideoOnLowBandwidthAudioStreams:(unsigned int)audioStreams;
	-(BOOL) setDisableVideoOnLowBandwidthRecoveryTime:(unsigned int)recoveryTime;
	-(BOOL) setDisableVideoOnLowBandwidthResponseTime:(unsigned int)responseTime;
	-(BOOL) setDisableVideoOnLowBandwidthSampleTime:(unsigned int)sampleTime;
	-(BOOL) setDisableVideoOnLowBandwidthThreshold:(unsigned int)kbps;
	-(BOOL) setFontFileName:(const char*)fontFileName;
	-(BOOL) setLocation:(double)latitude Longitude:(double)longitude;
	-(BOOL) setLogLevel:(VCConnectorLoggerType)loggerType LogLevel:(VCConnectorLogLevel)logLevel;
	-(BOOL) setMaxBitRate:(unsigned int)bitRate;
	-(BOOL) setMaxReceiveBitRate:(unsigned int)bitRate;
	-(BOOL) setMaxSendBitRate:(unsigned int)bitRate;
	-(BOOL) setMicrophonePrivacy:(BOOL)privacy;
	-(BOOL) setMode:(VCConnectorMode)mode;
	-(BOOL) setModeratorPIN:(NSString*)moderatorPIN RequestId:(NSString*)requestId;
	-(BOOL) setOptions:(const char*)options;
	-(BOOL) setPool:(const char*)name;
	-(BOOL) setPresenter:(VCParticipant*)participant RequestId:(NSString*)requestId;
	-(BOOL) setRendererOptionsForViewId:(void*)viewId Options:(const char*)options;
	-(BOOL) setRoomPIN:(NSString*)roomPIN ConnectorISetRoomPIN:(id<VCConnectorISetRoomPIN>)connectorISetRoomPIN;
	-(BOOL) setSpeakerPrivacy:(BOOL)privacy;
	-(BOOL) setTCPTransport:(BOOL)enable;
	-(BOOL) setTURNAddressCredentials:(const char*)turnAddress Port:(unsigned int)port Username:(const char*)username Password:(const char*)password BaseTransport:(VCConnectorBaseTransportType)baseTransport;
	-(BOOL) setTURNServerCertificateRequired:(BOOL)required;
	-(BOOL) setUDPTransport:(BOOL)enable;
	-(BOOL) setViewAnimationSpeed:(void*)viewId SpeedPercentage:(unsigned int)speedPercentage;
	-(BOOL) setViewBackgroundColor:(void*)viewId Red:(unsigned char)red Green:(unsigned char)green Blue:(unsigned char)blue;
	-(BOOL) setVirtualBackgroundPicture:(NSString*)pathToPicture;
	-(BOOL) setWebProxyAddressCredentials:(const char*)proxyAddress Username:(const char*)username Password:(const char*)password;
	-(BOOL) setWebProxyTransport:(BOOL)enable;
	-(BOOL) setWebProxyTransportAddress:(NSString*)name Port:(unsigned int)port;
	-(BOOL) showAudioMeters:(void*)viewId ShowMeters:(BOOL)showMeters;
	-(BOOL) showPreview:(BOOL)preview;
	-(BOOL) showViewAt:(void*)viewId X:(int)x Y:(int)y Width:(unsigned int)width Height:(unsigned int)height;
	-(BOOL) showViewAtPoints:(void*)viewId X:(int)x Y:(int)y Width:(unsigned int)width Height:(unsigned int)height;
	-(BOOL) showViewLabel:(void*)viewId ShowLabel:(BOOL)showLabel;
	-(BOOL) showWindowSharePreview:(BOOL)preview;
	-(BOOL) startLectureMode:(NSString*)requestId;
	-(BOOL) startRecording:(NSString*)recordingProfilePrefix ConnectorIStartRecording:(id<VCConnectorIStartRecording>)connectorIStartRecording;
	-(BOOL) stopLectureMode:(NSString*)requestId;
	-(BOOL) stopRecording:(id<VCConnectorIStopRecording>)connectorIStopRecording;
	-(BOOL) swapStreamsBetweenViews:(void*)first Second:(void*)second;
	-(BOOL) unlockRoom:(id<VCConnectorIUnlockRoom>)connectorIUnlockRoom;
	-(BOOL) unraiseHand:(NSString*)requestId;
	-(BOOL) unregisterConferenceModeEventListener;
	-(BOOL) unregisterConnectionPropertiesEventListener;
	-(BOOL) unregisterErrorEventListener;
	-(BOOL) unregisterHostEventListener;
	-(BOOL) unregisterLectureModeEventListener;
	-(BOOL) unregisterLocalCameraEventListener;
	-(BOOL) unregisterLocalCameraFrameListener:(VCLocalCamera*)localCamera;
	-(BOOL) unregisterLocalMicrophoneEnergyListener;
	-(BOOL) unregisterLocalMicrophoneEventListener;
	-(BOOL) unregisterLocalMicrophoneFrameListener:(VCLocalMicrophone*)localMicrophone;
	-(BOOL) unregisterLocalMonitorEventListener;
	-(BOOL) unregisterLocalMonitorFrameListener:(VCLocalMonitor*)localMonitor;
	-(BOOL) unregisterLocalSpeakerEventListener;
	-(BOOL) unregisterLocalWindowShareEventListener;
	-(BOOL) unregisterLocalWindowShareFrameListener:(VCLocalWindowShare*)localWindowShare;
	-(BOOL) unregisterLogEventListener;
	-(BOOL) unregisterMessageEventListener;
	-(BOOL) unregisterModerationCommandEventListener;
	-(BOOL) unregisterModerationResultEventListener;
	-(BOOL) unregisterNetworkInterfaceEventListener;
	-(BOOL) unregisterParticipantEventListener;
	-(BOOL) unregisterReconnectEventListener;
	-(BOOL) unregisterRecorderInCallEventListener;
	-(BOOL) unregisterRemoteCameraEventListener;
	-(BOOL) unregisterRemoteCameraFrameListener:(VCRemoteCamera*)remoteCamera;
	-(BOOL) unregisterRemoteMicrophoneEnergyListener;
	-(BOOL) unregisterRemoteMicrophoneEventListener;
	-(BOOL) unregisterRemoteMicrophoneFrameListener:(VCRemoteMicrophone*)remoteMicrophone;
	-(BOOL) unregisterRemoteRendererEventListener;
	-(BOOL) unregisterRemoteSpeakerEventListener;
	-(BOOL) unregisterRemoteWindowShareEventListener;
	-(BOOL) unregisterRemoteWindowShareFrameListener:(VCRemoteWindowShare*)remoteWindowShare;
	-(BOOL) unregisterResourceManagerEventListener;
	-(BOOL) unregisterVirtualVideoSourceEventListener;
	-(BOOL) unregisterWebProxyEventListener;
	-(id) initWithObject:(void*)rPtr;
	-(void*)getObjectPtr;
	-(NSMutableDictionary<NSString*, VCParticipant*> *)getParticipantsMap;
	-(NSMutableDictionary<NSString*, VCRemoteCamera*> *)getRemoteCamerasMap;
	-(NSMutableDictionary<NSString*, VCRemoteMicrophone*> *)getRemoteMicrophonesMap;
	-(NSMutableDictionary<NSString*, VCRemoteWindowShare*> *)getRemoteWindowSharesMap;
	-(NSMutableDictionary<NSString*, id<VCConnectorIRequestVideoForRemoteCamera>> *)getOnRemoteCameraFirstFrameReceivedCallbacksMap;
	-(NSMutableDictionary<NSString*, id<VCConnectorIRequestVideoForRemoteWindowShare>> *)getOnRemoteWindowShareFirstFrameReceivedCallbacksMap;
@end
@interface VCConnectorAnalyticsEventTable : NSObject
{
}

	@property BOOL enable;
	@property VCConnectorAnalyticsEventAction eventAction;
	@property VCConnectorAnalyticsEventCategory eventCategory;
@end
@interface VCConnectorConnectionProperties : NSObject
{
}

	@property BOOL hasModeratorPin;
	@property BOOL hasRoomPin;
	@property BOOL isRoomLocked;
	@property VCConnectorRecordingState recordingState;
	@property NSMutableString* roomName;
	@property VCConnectorWebcastingState webcastingState;
@end
@interface VCConnectorCameraEffectInfo : NSObject
{
}

	@property unsigned int blurIntensity;
	@property VCConnectorCameraEffectType effectType;
	@property NSMutableString* pathToEffect;
	@property NSMutableString* pathToResources;
	@property NSMutableString* token;
	@property NSMutableString* virtualBackgroundPicture;
@end
